i2o_block_transfer
Prev | I2O message devices | Next

## Name

i2o_block_transfer — Transfer a request to/from the I2O controller

## Synopsis

`int i2o_block_transfer (` | struct request * | req`)`;

## Arguments

`req`

  the request which should be transfered

## Description

This function converts the request into a I2O message. The necessary DMA buffers are allocated and after everything is setup post the message to the I2O controller. No cleanup is done by this function. It is done on the interrupt side when the reply arrives.

Return 0 on success or negative error code on failure.

Prev | Up | Next
i2o_block_media_changed | Home | i2o_block_request_fn